unit helpform;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ComCtrls;

type

  { THelp_Form }

  THelp_Form = class(TForm)
    Close_Button: TButton;
    Label1: TLabel;
    Division_TreeView: TTreeView;
    Help_PageControl: TPageControl;
    Definition_TabSheet: TTabSheet;
    ExecutionMode_Memo: TMemo;
    Definition_Memo: TMemo;
    Resources_Memo: TMemo;
    Save_Memo: TMemo;
    StepTypes_Memo: TMemo;
    ScriptEdit_Memo: TMemo;
    Start_Memo: TMemo;
    ScriptEdit_TabSheet: TTabSheet;
    ExecMode_TabSheet: TTabSheet;
    Start_TabSheet: TTabSheet;
    StepTypes_TabSheet: TTabSheet;
    Save_TabSheet: TTabSheet;
    Resources_TabSheet: TTabSheet;
    procedure Close_ButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure HelpChange(Sender: TObject; Node: TTreeNode);
  private

  public
   procedure displayHelp(Index: integer);
  end;

var
  Help_Form: THelp_Form;

implementation

{$R *.lfm}

uses mainform;

procedure THelp_Form.Close_ButtonClick(Sender: TObject);
begin
 Close;
end;

procedure THelp_Form.FormShow(Sender: TObject);
begin
 // привязываемся к позиции основной формы, чтобы не уехать под неё при вызове
 Left := Main_Form.Left + Main_Form.Width;
end;

procedure THelp_Form.HelpChange(Sender: TObject; Node: TTreeNode);
begin
 if Node.Index = 0 then Help_PageControl.ActivePage := Definition_Tabsheet;
 if Node.Index = 1 then Help_PageControl.ActivePage := Start_Tabsheet;
 if Node.Index = 2 then Help_PageControl.ActivePage := ScriptEdit_Tabsheet;
 if Node.Index = 3 then Help_PageControl.ActivePage := StepTypes_Tabsheet;
 if Node.Index = 4 then Help_PageControl.ActivePage := Save_Tabsheet;
 if Node.Index = 5 then Help_PageControl.ActivePage := ExecMode_Tabsheet;
 if Node.Index = 6 then Help_PageControl.ActivePage := Resources_Tabsheet;
end;

procedure THelp_Form.displayHelp(Index: integer);
begin
 Division_Treeview.Selected := Division_Treeview.Items.Item[Index];
 HelpChange(self, Division_Treeview.Selected);
 Show;
end;

end.
